Page MenuHomePhabricator

Patch mw-config/overrides.php instead of LocalSettingsGenerator.php
Closed, ResolvedPublic

Description

[16:43:41] <MaxSem> legoktm, argh https://github.com/wikimedia/mediawiki-debian/blob/master/patches/debian_specific_config.patch
[16:44:11] <MaxSem> did you know that we have means to do that without patches?
[16:44:28] <legoktm> I didn't write that patch :P
[16:45:18] <legoktm> MaxSem: how would you do that though?
[16:46:09] <MaxSem> https://github.com/wikimedia/mediawiki/blob/master/mw-config/overrides.php
[16:46:36] <MaxSem> guess it can be modified to work more like settings.d
[16:48:47] <legoktm> so we patch overrides.php instead of LocalSettingsGenerator.php?
[16:49:00] <MaxSem> yep
[16:49:39] <MaxSem> or, just make it load overrides from a directory so that package could just drop its overrides there, legoktm

Event Timeline

Legoktm created this task.May 18 2016, 11:49 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 11:49 PM

Change 289581 had a related patch set uploaded (by MaxSem):
Change the way installer overrides work

https://gerrit.wikimedia.org/r/289581

Change 293524 had a related patch set uploaded (by Legoktm):
Change the way installer overrides work

https://gerrit.wikimedia.org/r/293524

Change 289581 merged by jenkins-bot:
Change the way installer overrides work

https://gerrit.wikimedia.org/r/289581

Change 293524 merged by jenkins-bot:
Change the way installer overrides work

https://gerrit.wikimedia.org/r/293524

demon added a subscriber: demon.Jun 10 2016, 7:31 PM

Is this done now too?

Now packaging needs to be fixed too:)

I removed it as a 1.27 blocker, I'm still working on fixing the Debian packaging part :)

Legoktm closed this task as Resolved.Jul 15 2016, 2:32 AM
Legoktm claimed this task.

This was implemented in version 1:1.27.0-1 of the package.